<div class="container" *ngIf="authService.isLogged | async ">

    <ng-container *ngIf="isAdministrador || isFuncionario || isDisenador">
        <mat-toolbar>
            <span>Mis Subtareas</span>
            <div class="example-spacer"></div>
            <button mat-raised-button routerLink="/listarMisTareas">Volver</button>
            <!-- <button mat-raised-button color="primary" routerLink="/nuevoTareas">Agregar</button> -->
        </mat-toolbar>

        <mat-form-field appearance="standard">
            <mat-label>Filter</mat-label>
            <input matInput (keyup)="applyFilter($event)" placeholder="Ex. ium" #input autocomplete="off">
        </mat-form-field>


        <div class="mat-elevation-z8">
            <table mat-table [dataSource]="dataSource" matSort>
             

                <!-- Weight Column -->
                <ng-container matColumnDef="id_subtarea">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> ID SUBTarea </th>
                    <td mat-cell *matCellDef="let element"> {{element.id_subtarea}} </td>
                </ng-container>

                <ng-container matColumnDef="nombre_tarea_padre">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> nombre_tarea_padre </th>
                    <td mat-cell *matCellDef="let element"> {{element.tareaEmpleado.tarea.nombre_tarea}} </td>
                </ng-container>

                <!-- Position Column -->
                <ng-container matColumnDef="nombre_subtarea">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> nombre_subtarea </th>
                    <td mat-cell *matCellDef="let element"> {{element.nombre_subtarea}} </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="descripcion_subtarea">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> descripcion_subtarea </th>
                    <td mat-cell *matCellDef="let element"> {{element.descripcion_subtarea}} </td>
                </ng-container>

                <ng-container matColumnDef="fecha_plazo">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> fecha_plazo </th>
                    <td mat-cell *matCellDef="let element"> {{element.fecha_plazo}} </td>
                </ng-container>

                <ng-container matColumnDef="estado">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> estado </th>
                    <td mat-cell *matCellDef="let element"> {{element.estadoSubtarea.nombre_estado_subtarea}} </td>
                </ng-container>

                <ng-container matColumnDef="acciones">
                    <th mat-header-cell *matHeaderCellDef> </th>
                    <td mat-cell *matCellDef="let element;" style="text-align: right;">
                        <!--
                        <a class="pointer" matTooltip="Agregar Subtarea" (click)="crearSubTarea(element.id_tarea_empleado)">
                            <mat-icon color="primary">library_add</mat-icon>
                        </a>
                        -->
                        
                        <a class="pointer" (click)="editarSubTarea(element.id_subtarea, element.id_tarea_empleado)" matTooltip="Editar Estado">
                            <mat-icon color="accent">edit</mat-icon>
                        </a>
                        &nbsp;
                        <a class="pointer" (click)="eliminarSubTarea(element.id_subtarea)" matTooltip="Eliminar">
                            <mat-icon color="warn">delete</mat-icon>
                        </a>

                        <!--
                        <a class="pointer" (click)="listarSubTareas(element.id_tarea_empleado)" matTooltip="Listar SubTareas">
                            <mat-icon> format_list_numbered</mat-icon>
                        </a>
                        -->
                        
                    </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
            <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
        </div>

    </ng-container>


</div>